Get a package signature verification key ID

GET /api/fleet/epm/verification_key_id

Spaces method and path for this operation:

get /s/{space_id}/api/fleet/epm/verification_key_id

Refer to Spaces for more information.

Get the GPG key ID used to verify the signatures of packages from the Elastic Package Registry.

[Required authorization] Route required privileges: integrations-read OR fleet-setup OR fleet-all.

Responses

  • 200 application/json

    Successful response

    Hide response attribute Show response attribute object
    • id string | null Required
  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • attributes Required
    • error string
    • errorType string
    • message string Required
    • statusCode number
GET /api/fleet/epm/verification_key_id
curl \
 --request GET 'https://<KIBANA_URL>/api/fleet/epm/verification_key_id' \
 --header "Authorization: $API_KEY"
Response examples (200)
The GPG key ID used to verify package signatures
{
  "id": "D27D666CD88E42B4"
}
Response examples (400)
Example of a generic error response
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}